/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*  This file is part of the ZipCracker Program.

    Copyright (C) 1998-2000 Jonas Borgstrm <jonas_b@bitsmart.com>.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/
#ifndef __ZIP_H__
#define __ZIP_H__

#include<glib.h>

GList *parse_zipfile(const gchar *filename);

typedef struct _ZipFileEntry ZipFileEntry;
struct _ZipFileEntry {
	gchar *filename;
	gulong crc32;
	guint8 method;
	guint8 encrypted;
   	guchar header_crc;
   	guchar random_header[12];
   	gulong orig_size, comp_size;
   	gulong file_offset;
};
#endif
