/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*  This file is part of the ZipCracker Program.

    Copyright (C) 1998-2000 Jonas Borgstrm <jonas_b@bitsmart.com>.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef __ZIPCRACKER_H__
#define __ZIPCRACKER_H__

#include "zip.h"

typedef struct _Properties Properties;
struct _Properties {
	GString   *zipfilename;
	GList     *list;
	ZipFileEntry *targetfile;
	GString   *password_string;
	GString   *password_format;
	GString   *start_password;
};

enum returnCodes {
	RETURN_OK = 0,
	RETURN_PVMD_NOT_FOUND,
	RETURN_MASTER_TIMED_OUT,
	RETURN_SLAVE_TIMED_OUT,
	RETURN_UNKNOWN_MSGTAG,
	RETURN_UNEXPECTED_MSGTAG
};

enum pvmMsgId {
	PVM_INIT = 1,
	PVM_REQUEST,
	PVM_FOUND,
	PVM_FILE_PACKET,
	PVM_KILL_SLAVE
};

gchar *zc_get_password_string (); 
gchar *zc_get_password_format (); 
gchar *zc_get_start_password (); 
#endif
