/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*  This file is part of the ZipCracker Program.

    Copyright (C) 1998-2000 Jonas Borgstrm <jonas_b@bitsmart.com>.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef __CRACK_COMMON_H__
#define __CRACK_COMMON_H__
/*****************************************************************************/
#include <glib.h>
#include "zip.h"
/*****************************************************************************/
#define PW_LEN 257
#define REAL_BUF_SIZE 4096         /* Size of buffer used for decompression */
/*****************************************************************************/
enum ZipMethod {
	STORED = 0,
	DEFLATED = 8
};
/*****************************************************************************/
gint crack (const char *start, const char *end, const char *format, 
	    const char *string, guchar header_crc, guint8 *header, 
	    guint8 method, gulong file_offset, gulong orig_size, 
	    gulong comp_size, gulong CRC32, FILE *fd, 
	    void (*found_cb) (gchar *));
gchar *zc_format_passwd (const char *guess, char *realpw, const char *format);
gchar *zc_crack_get_current_password_formatted ();
gchar *zc_crack_get_current_password ();
/*****************************************************************************/

#endif
