/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*  This file is part of the ZipCracker Program.

    Copyright (C) 1998-2000 Jonas Borgstrm <jonas_b@bitsmart.com>.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef __CRACK_PVM_H__
#define __CRACK_PVM_H__
/*****************************************************************************/
#include <time.h>
#include "crack.h"
/*****************************************************************************/
gboolean zc_crack_start (ZipFileEntry *target);
void zc_crack_stop ();
/*****************************************************************************/
#define MAX_SLAVES 1024
#define MIN_CRACK_TIME 1000   /* msec */
#define MAX_CRACK_TIME 2000  /* msec */
/*****************************************************************************/
typedef struct _ZCSlave ZCSlave;
struct _ZCSlave {
	gchar start[PW_LEN];
	gchar end[PW_LEN];
	gchar hostname[64];
	gint tid;
	gulong rate;
	gint block_size, nblocks;
	gulong block_time;
};

typedef struct _ZCTodo ZCTodo;
struct _ZCTodo {
	gchar start[PW_LEN];
	gchar end[PW_LEN];
};
#endif
